<h1 class="header-trade" i18n="EAT. SLEEP. TRADE. REPEAT.@@newTradeHeaderID">EAT. SLEEP. TRADE. REPEAT.</h1>
<mat-vertical-stepper *ngIf="loaded1 && loaded2; else loading" [linear]="true" #stepper>

    <mat-step [stepControl]="firstFormGroup">
        <form [formGroup]="firstFormGroup">
            <ng-template matStepLabel i18n="Your Action@@your_action">Your Action</ng-template>
            <p i18n="Are you ready to trade?.@@ready_to_trade">Are you ready to trade? 🚀🚀🚀</p>
            <mat-radio-group aria-label="Select an option" required formControlName="sellOrBuy">
                <mat-radio-button value="option_sell" i18n="Ready@@readyID">Ready</mat-radio-button>
                <mat-radio-button value="option_buy" i18n="Extremely Ready@@extremelyReadyID">Extremely Ready - to the Moon 🌙</mat-radio-button>
            </mat-radio-group>
            <mat-error *ngIf="firstFormGroup.controls.sellOrBuy.touched && firstFormGroup.controls.sellOrBuy.invalid">
                <span *ngIf="firstFormGroup.controls.sellOrBuy.hasError('required')"
                i18n="This field is mandatory.@@mandatoryFieldID">This field is mandatory.</span>
            </mat-error>
            <div class="stepper-buttons">
                <button mat-button matStepperNext i18n="Next@@next">Next</button>
            </div>
        </form>
    </mat-step>

    <mat-step [stepControl]="secondFormGroup">
        <ng-template matStepLabel i18n="Trade Information@@tradeInformation">Trade Information</ng-template>

        <form [formGroup]="secondFormGroup">
            <mat-form-field appearance="outline" class="full-width">
                <mat-label i18n="Your motivation@@enter_motivation">Your motivation</mat-label>
                <input matInput type="text" placeholder="Double your Crypo Net Worth in 5 Month" i18n-placeholder="Motivation Placeholder@@motivationPlaceholderID"
                    formControlName="motivation" required>
            </mat-form-field>

            <mat-form-field appearance="outline" class="full-width">
                <mat-label i18n="Please select a currency from your inventory@@select_inventory">Please select a currency from your inventory</mat-label>
                <input id="field2" formControlName="credit" type="text" placeholder="Credit" aria-label="Number" matInput
                    [matAutocomplete]="auto1" required>
                <mat-autocomplete #auto1="matAutocomplete">
                    <mat-option *ngFor="let option of creditFilteredOptions | async" [value]="option">
                        {{ option }}
                    </mat-option>
                </mat-autocomplete>
            </mat-form-field>

            <mat-form-field appearance="outline" class="full-width">
                <mat-label i18n="Please select your target currency@@select_target">Please select your target currency</mat-label>
                <input id="field2" type="text" placeholder="Debit" aria-label="Number" matInput
                    formControlName="debit" [matAutocomplete]="auto2" required>
                <mat-autocomplete #auto2="matAutocomplete">
                    <mat-option *ngFor="let option of debitFilteredOptions | async" [value]="option">
                        {{ option }}
                    </mat-option>
                </mat-autocomplete>
            </mat-form-field>

            <div class="full-width">
                <p i18n="Please indicate the return you expect to receive:@@indicateExpectedReturn">Please indicate the
                    return you expect to receive:</p>
                <p i18n="(You can vary by 3-5 per cent.)@@varyPercent">(You can vary by 3-5 per cent.)</p>
                <mat-slider thumbLabel [displayWith]="formatLabelPercent" tickInterval="10" min="1" max="250"
                    formControlName="percentReturn"></mat-slider>
            </div>

            <div class="full-width">
                <p
                    i18n="Please indicate the recommended percentage amount that the user should trade with their available buy currency:@@indicateAmountToInvest">
                    Please indicate the recommended percentage amount that the user should trade with their available
                    buy currency:</p>
                <p i18n="(You can vary by 3-5 per cent.)@@varyPercent">(You can vary by 3-5 per cent.)</p>
                <mat-slider thumbLabel [displayWith]="formatLabelPercent" tickInterval="10" min="1" max="100"
                    formControlName="percentInvest"></mat-slider>
            </div>

            <mat-form-field class="full-width" appearance="outline">
                <mat-label
                    i18n="Please indicate the time you expect to receive the return@@indicateExpectedTimeOfReturn">
                    Please indicate the time you expect to receive the return</mat-label>
                <mat-date-range-input [rangePicker]="roiPicker" [min]="minDate">
                    <input matStartDate placeholder="Start date" i18n-placeholder="Start date Placeholder@@startDatePlaceholderID" formControlName="startDate">
                    <input matEndDate placeholder="End date" i18n-placeholder="End date Placeholder@@endDatePlaceholderID" formControlName="endDate">
                </mat-date-range-input>
                <mat-datepicker-toggle matSuffix [for]="roiPicker"></mat-datepicker-toggle>
                <mat-date-range-picker #roiPicker></mat-date-range-picker>
            </mat-form-field>

            <mat-form-field class="full-width" appearance="outline">
                <mat-label i18n="Description@@enter_description">Your Description</mat-label>
                <textarea cols="100" rows="15" matInput formControlName="description" required></textarea>
            </mat-form-field>

            <div class="stepper-buttons">
                <button mat-button matStepperPrevious i18n="Back@@Back">Back</button>
                <button mat-button matStepperNext i18n="Next@@next">Next</button>
            </div>
        </form>
    </mat-step>

    <mat-step>
        <ng-template matStepLabel i18n="Done@@Done">Done</ng-template>

        <form [formGroup]="thirdFormGroup" (submit)="publishTrade()">
            <div>
                <mat-checkbox formControlName="acceptTerms" required
                    i18n="I have not read and understood the terms and conditions.@@read_t_c">I have not read and
                    understood the terms and conditions.</mat-checkbox>
            </div>

            <div class="stepper-buttons">
                <button mat-button matStepperPrevious i18n="Back@@Back">Back</button>
                <button mat-button (click)="stepper.reset()" i18n="Reset@@Reset">Reset</button>
            </div>

            <button type="submit" mat-button *ngIf="thirdFormGroup.valid" i18n="Publish@@publish">Publish</button>
            <button type="submit" mat-button *ngIf="!thirdFormGroup.valid" i18n="Publish@@publish"
                disabled>Publish</button>
        </form>

    </mat-step>
</mat-vertical-stepper>


<ng-template #loading>
    <mat-spinner style="margin: 45vh auto; "></mat-spinner>
  </ng-template>